Name: cpu-g
Summary: Linux version of CPU-Z
Version: 0.16.3
Release: %mkrel 1
Group: System/Configuration/Hardware
License: GPLv3
URL: https://github.com/atareao/cpu-g
Source0: http://sourceforge.net/projects/cpug/files/%{name}-%{version}.tar.xz
Patch:  %{name}-%{version}-dir.patch
BuildArch: noarch
Requires: python3
Requires: python3-dbus
Requires: python-gobject3
Requires: gtk+3.0
Requires: gdk-pixbuf2.0
Requires: python3-matplotlib
Requires: python3-cairo
Requires: wmctrl
Requires: python3-psutil
Requires: python3-numpy
Requires: python3-cycler
Requires: python3-dateutil
Requires: python3-kiwisolver
Requires: python3-matplotlib-gtk3

%description
CPU-G is an application that shows useful information about your hardware.
It collects and displays information about your CPU, RAM, Motherboard,
some general information about your system and more.

%prep
%setup -q
%apply_patches

%build
# no_build

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
cp -a {data,screenshots,debian,src} %{buildroot}%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=CPU-G
Comment=Show information about your hardware
Exec=%{_bindir}/%{name}
Icon=%_datadir/icons/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;X-MandrivaLinux-System-Configuration;
EOF

chmod a+x %buildroot%{_datadir}/applications/%{name}.desktop

# icon
mkdir -p %{buildroot}%{_datadir}/icons
install -Dm644 data/icons/%{name}.png %{buildroot}%{_datadir}/icons

# launcher
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/bash
cd %{_datadir}/%{name}/src
python3 cpug.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# fix for missing in py script
cp -a debian/changelog %{buildroot}%{_datadir}/%{name}

# remove
rm -f %{buildroot}%{_datadir}/%{name}/data/%{name}.desktop
rm -f %{buildroot}%{_datadir}/%{name}/src/comun.py.*
%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus

%files
%doc COPYING AUTHORS LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Dec 18 2021 Ken <lxgator@gmail.com> 0.16.3-1pclos2021
- Update

* Sun Dec 05 2021 Ken <lxgator@gmail.com> 0.9.0-1pclos2021
- Create rpm
